Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class MidiInstrumentInfoEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MidiInstrumentInfoEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MidiInstrumentInfoEvent

extends java.util.EventObject

A semantic event which indicates that a MIDI instrument in a MIDI instrument map is changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MidiInstrumentInfoEvent(java.lang.Object source, int mapId, int bank, int program)` Constructs a `MidiInstrumentInfoEvent` object.

Method Summary
`int` | `getMapId()` Gets the numerical ID of the MIDI instrument map, which instrument number is changed.
`int` | `getMidiBank()` Gets the index of the MIDI bank, containing the instrument.
`int` | `getMidiProgram()` Gets the MIDI program number of the instrument.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiInstrumentInfoEvent

    public MidiInstrumentInfoEvent(java.lang.Object source,
                                   int mapId,
                                   int bank,
                                   int program)

  Constructs a `MidiInstrumentInfoEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `mapId` - The numerical ID of the MIDI instrument map, containing the changed instrument.
    `bank` - The index of the MIDI bank, containing the instrument.
    `program` - The MIDI program number of the instrument.

Method Detail

### getMapId

    public int getMapId()

  Gets the numerical ID of the MIDI instrument map, which instrument number is changed.

  Returns:
    The numerical ID of the MIDI instrument map, which instrument number is changed.

### getMidiBank

    public int getMidiBank()

  Gets the index of the MIDI bank, containing the instrument.

  Returns:
    The index of the MIDI bank, containing the instrument.

### getMidiProgram

    public int getMidiProgram()

  Gets the MIDI program number of the instrument.

  Returns:
    The MIDI program number of the instrument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.